Summary:	PAM module for auth UNIX users using MySQL data base
Name:		pam_mysql
Version:	1.0.0~beta1
Release:	1%{?dist}
Epoch:		1
License:	GPLv2+
Source0:	https://github.com/NigelCunningham/pam-MySQL/archive/refs/tags/1.0.0-beta1.tar.gz
URL:		https://github.com/NigelCunningham/pam-MySQL
BuildRequires: meson
BuildRequires: gcc
BuildRequires: mariadb-connector-c-devel pam-devel
#BuildRequires:    cyrus-sasl-devel pkgconfig openssl-devel
#BuildRequires:  autoconf automake libtool
Requires:	pam

%description
Pam_mysql aims to provide a backend neutral means of authenticating
users against an MySQL database.

%prep
%autosetup -n pam-MySQL-1.0.0-beta1
sed -i "/meson.add_install_script('install.sh')/d" meson.build
sed -i "s#install_dir: '/lib/security'#install_dir: join_paths(get_option('libdir'), 'security')#" meson.build

%build
%meson
%meson_build

mv AUTHORS AUTHORS.lame
iconv -f latin1 -t utf-8 -o AUTHORS AUTHORS.lame

%install
%meson_install

#check
#meson_test

%files
%license COPYING
%doc AUTHORS NEWS README
%{_libdir}/security/libpam_mysql.so

%changelog
